/* subject_content_type_section */
tr[subject_content_type_id='1']{
  background-color:#D0DEDE
}

/* subject_content_type_theme */
tr[subject_content_type_id='2']{
  background-color:#dbe6d9
}

/* subject_content_type_theme_prof_target */
tr[subject_content_type_id='18']{
  background-color:#dbe6d9
}

/* subject_content_type_lek */
tr[subject_content_type_id='3']{
  background-color:#E0F0EE
}

/* subject_content_type_SRS */
tr[subject_content_type_id='6']{
  background-color:#ffffe7
}
/* subject_content_type_controlExam
  subject_content_type_controlZach
  subject_content_type_caSPO_exam - rp */
tr[subject_content_type_id='8'],
tr[subject_content_type_id='9'],
tr[subject_content_type_id='19'],
tr[subject_content_type_id='20'],
tr[subject_content_type_id='21'],
tr[subject_content_type_id='22'],
tr[subject_content_type_id='23']
{
  background-color:#f2e7ff
}


#subject_status {
  overflow-x: auto;
}

#subject_status .timeline {
  overflow-x: auto;
  padding: 30px 0 10px 0;
  position: relative;
}


#subject_status .entry {
  display: inline-block;
  vertical-align: top;
  text-align: center;
  position: relative;
  width: 150px;
}


#subject_status .entry:after {
  content: '';
  display: block;
  border-radius: 10px;
  position: absolute;
  left: 50%;  
  margin-left: -10px;

}

.subject_status_done:after{
  width: 20px;
  height: 20px;
  background:#0069d9;
  border: 3px solid #0069d9;
  top: -27px;
}

.subject_status_error:after{
  width: 20px;
  height: 20px;
  background:#d93c00;
  border: 3px solid #0069d9;
  top: -27px;
}
.subject_status_wait:after{
  width: 20px;
  height: 20px;
  background:white;
  border: 3px solid #ddd;
  top: -27px;
}
.subject_status_mark{
    margin:0 1px;
    border-radius: 3px;
    width:10px;
    height:10px;
    display: block;
    float: left;
    border: 1px solid black;
}

.subject_competence_status_used{
    padding: 0px 3px;
    white-space: nowrap;
    background-color: #bee;
    
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old Firefox */
         -o-user-select: none;
            user-select: none; /* new Chrome, Opera and Firefox */    
}
.subject_competence_status_unused{
    padding: 0px 3px;
    white-space: nowrap;
    background-color: #f1e8cd;
    
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old Firefox */
         -o-user-select: none;
            user-select: none; /* new Chrome, Opera and Firefox */
}
.subject_competence_status_select_all{
    padding: 0px 3px;
    white-space: nowrap;
    border: 3px solid #bee;
    
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old Firefox */
         -o-user-select: none;
            user-select: none; /* new Chrome, Opera and Firefox */
}
.subject_competence_status_select_none{
    padding: 0px 3px;
    white-space: nowrap;
    border: 3px solid #f1e8cd;
    
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old Firefox */
         -o-user-select: none;
            user-select: none; /* new Chrome, Opera and Firefox */
}
.question_selected{
   background: #bee;
}
.question_selected:hover{
   background: #bff !important;
}
.zuv_chosen{
   background: #bee;
}
.zuv_chosen:hover{
   background: #bff !important;
}

#cancelAction{
 right: 10px;
 bottom: 10px;
 position: fixed;
 background-color: white;
}

.question_status{
   color: #fff; 
   border: 1px solid #000; 
   border-radius: 5px; 
   margin-right: 5px; 
   padding: 0px 5px; 
}


sfql-field-gap{
   margin: 0 3px;
   padding: 0 3px;
   background: #DDD;
   border: solid 1px;
   white-space: nowrap;
}

.cell_question_text {
    max-height: 200px; 
    overflow-y: auto; 
}

.teacher-access-bar-item{
    width: 10px;
    height: 10px;
    float: left;
    margin: 1px;
    border: 1px solid black;
    margin-top: 5px;
    border-radius: 3px;
}

.bt-insert-char
{
   width:40px;
   height:30px;
   float:left;
   margin:2px;
   padding:0px;
   font-family: math;
}
.programm-code{
   font-family: Consolas, Courier New, monospace;
   font-size: 80%;
   white-space: break-spaces;
}
.programm-code-comment{
  color:#795001;
  font-style: italic;
}
.programm-code-op{
  color:#6a0101;
}

#question_text table{
    border-collapse: collapse;
    border: 1px solid black;
}
#question_text td.section-th{
    border: 2px solid black;
}
#question_text td{
    border: 1px solid black;
}

/*заголовок ячейки таблицы с основным содержимым */
.section-th{
  text-align: center;
  font-weight: bold;
} 

.font-weight-600{
    font-weight: 600;
}

.text-danger a{
   color: #dc3545;
}

.text-std a{
   color: black;
}

.no-hover:hover {
  background-color: transparent !important;  
}
.btn-primary-empty{
  background-color: white;
  color:#007bff;
}
